#!/usr/bin/env bash

# check for required wad.
source ${0%/*}/TobyCustom/.dependencies
check_dependencies "${gamePath}/aoddoom1.wad" "https://www.moddb.com/mods/army-of-darkness-total-conversion/addons/army-of-darkness-doom-wad" "Place \"aoddoom1.wad\" in \"${gamePath}\"."


gamePath=~/.local/games/doom
# Set up the pk3 and wad files 
gameOption=(
    "${gamePath}/TobyAccMod_V${tobyVersion}.pk3"
    "$gamePath/Addons/MENU/TobyV${tobyVersion%%-*}_"*
    "${gamePath}/aoddoom1.wad"
)

# Check for and include if present a wad. Some people may not have it.
if [[ -e "${gamePath}/DoomMetalVol7.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol7.wad")
elif [[ -e "${gamePath}/DoomMetalVol6.wad" ]]; then
    gameOption+=("${gamePath}/DoomMetalVol6.wad")
fi

source ${0%/*}/TobyCustom/.mapmenu
